Issue a refund

Issue a refund against a purchase or standalone

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Standalone Refunds

It is possible to issue a Standalone Refund (i.e. a refund that is not against an existing purchase), such as when refunding from a central account or some other kind of out-of-band refund scenario.

To issue a Standalone Refund, simply provide the card_token or provide card_number, card_holder and card_expiry in lieu of the transaction_id.

Support for Standalone Refunds may vary among banks, so please contact Fat Zebra support if you are unable to successfully issue a Standalone Refund.

Body Params
int32
required

A positive integer representing how much to refund, in the smallest currency unit (e.g. 100 to charge $1.00, or 100 to Charge ¥100, a zero decimal currency).

string
required

Merchant's reference for the refund. Must be unique per refund. Max length 255 characters.

string

ID of the original transaction to be refunded (XXX-P-YYYYYY). Required for an associated refund.

string

Token of the card being refunded. Required unless transaction_id or card details are provided.

string

Number of the card being refunded. Required unless transaction_id or card_token are provided.

string

Expiry of the card being refunded. Required unless transaction_id or card_token are provided.

string

Name on the card being refunded. Required unless transaction_id or card_token are provided.

string

Description for the refund.

string
Defaults to AUD

Currency being refunded. Ignored if transaction_id is present.

string

Deprecated — use extra.descriptor instead. Description that appears on the customer's statement.

extra
object

Extended fields, only accepted for merchants configured to support them. See the Extra and Extended Fields guide.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json